Subject: bug#3931: 23.0.96; doc of select-frame-set-input-focus and select-frame

From: Bastien <[email-masked]>
Date: Mon, 27 Jul 2009 03:22:40 +0800

"Drew Adams" <[email-masked]> writes:

> "If you are using a window system, the previously selected frame may
> be restored as the selected frame after return to the command loop..."
>  
> That's grammatically incorrect - "return" should presumably be
> "returning" (depending on what is intended by the sentence).
>  
> In any case, this paragraph of the description is not very clear.

I have changed it to this:

  "If you are using a window system, the previously selected frame may
  be restored as the selected frame when returning to the command loop,
  because it still may have the window system's input focus."

> Doc string of `select-frame-set-input-focus':
>  
> "If `mouse-autoselect-window' is non-nil, also move mouse cursor to
> FRAME's selected window.  Otherwise, if `focus-follows-mouse' is
> non-nil, move mouse cursor to FRAME."
>  
> "Mouse cursor" is incorrect; "pointer" is correct (or "mouse pointer",
> but, strictly speaking, "mouse" is redundant for the pointer).

Right, I changed this.

> Why "Otherwise"? 

Because the value of `focus-follows-mouse' is only checked if
`mouse-autoselect-window' is nil.

> Similar problems exist for the description in the Elisp manual (the
> text is almost the same).  In addition, the manual should say
> something more about the differences between these two functions, and
> mention when you might use one or the other.

I don't know how to fix the Elisp manual.

-- 
 Bastien